Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Payment Methods

List Imported Payment Methods

GET
/public/api/v1/payment-methods/imported

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

perPageinteger

Maximum number of results to return in the response.

Default:
25
Range:
1 <= value <= 500
offsetstring
Example:
""

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/payment-methods/imported"
{  "currentOffset": "019afe0a-3987-75e5-9704-c3a1dc2b092b",  "nextOffset": "01929a94-5fce-7ccc-a7e4-7e9249133b39",  "perPage": 25,  "hasMore": true,  "items": [    {      "card": {        "pan": "12345678XXXX1234",        "expireMonth": "07",        "expireYear": "35",        "par": "8F1B7C2QX4Z9N3V6M2R0K8YD5LJTPH",        "Issuer": "Danske Bank",        "Scheme": "Visa",        "Country": "DK",        "Segment": "consumer",        "Funding": "debit"      },      "importedPaymentMethod": {        "id": "01929a94-5fce-7ccc-a7e4-7e9249133b38",        "paymentMethodId": "01924756-d1f6-738d-8040-90d76cedf01f",        "reference": "reference-1",        "createdAt": "2024-10-17T15:07:03.290909169+02:00"      },      "paymentMethod": {        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",        "type": "CARD",        "subType": "Visa",        "customerId": "User159",        "expiry": "2024-07-29",        "createdAt": "2024-07-29T15:51:28.071Z",        "displayText": "40000000XXXX0003"      }    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}